(() => {
  var __create = Object.create;
  var __defProp = Object.defineProperty;
  var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
  var __getOwnPropNames = Object.getOwnPropertyNames;
  var __getProtoOf = Object.getPrototypeOf;
  var __hasOwnProp = Object.prototype.hasOwnProperty;
  var __commonJS = (cb, mod) => function __require() {
    return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
  };
  var __copyProps = (to, from, except, desc) => {
    if (from && typeof from === "object" || typeof from === "function") {
      for (let key of __getOwnPropNames(from))
        if (!__hasOwnProp.call(to, key) && key !== except)
          __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
    }
    return to;
  };
  var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
    // If the importer is in node compatibility mode or this is not an ESM
    // file that has been converted to a CommonJS file using a Babel-
    // compatible transform (i.e. "__esModule" has not been set), then set
    // "default" to the CommonJS "module.exports" for node compatibility.
    isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
    mod
  ));

  // external-global:cockpit
  var require_cockpit = __commonJS({
    "external-global:cockpit"(exports, module) {
      module.exports = cockpit;
    }
  });

  // pkg/playground/test.js
  var import_cockpit = __toESM(require_cockpit(), 1);
  document.addEventListener("DOMContentLoaded", () => {
    document.getElementById("hammer").addEventListener("click", (e) => e.target.setAttribute("hidden", "hidden"));
    document.querySelector(".cockpit-internal-reauthorize .pf-v5-c-button").addEventListener("click", () => {
      document.querySelector(".cockpit-internal-reauthorize span").textContent = "checking...";
      import_cockpit.default.script("pkcheck --action-id org.freedesktop.policykit.exec --process $$ -u 2>&1", { superuser: "try" }).stream((data) => console.debug(data)).then(() => {
        document.querySelector(".cockpit-internal-reauthorize span").textContent = "result: authorized";
      }).catch(() => {
        document.querySelector(".cockpit-internal-reauthorize span").textContent = "result: access-denied";
      });
    });
    document.querySelector(".super-channel .pf-v5-c-button").addEventListener("click", () => {
      document.querySelector(".super-channel span").textContent = "checking...";
      import_cockpit.default.spawn(["id"], { superuser: true }).then((data) => {
        console.log("done");
        document.querySelector(".super-channel span").textContent = "result: " + data;
      }).catch((ex) => {
        console.log("fail");
        document.querySelector(".super-channel span").textContent = "result: " + ex.problem;
      });
    });
    document.querySelector(".lock-channel .pf-v5-c-button").addEventListener("click", () => {
      document.querySelector(".lock-channel span").textContent = "locking...";
      import_cockpit.default.spawn(
        ["flock", "-o", "/tmp/playground-test-lock", "-c", "echo locked; sleep infinity"],
        { superuser: "try", err: "message" }
      ).stream((data) => {
        document.querySelector(".lock-channel span").textContent = data;
      }).catch((ex) => {
        document.querySelector(".lock-channel span").textContent = "failed: " + ex.toString();
      });
    });
    function update_nav() {
      document.getElementById("nav").textContent = "";
      const path = ["top"].concat(import_cockpit.default.location.path);
      const e_nav = document.getElementById("nav");
      path.forEach((p, i) => {
        if (i < path.length - 1) {
          const e_link = document.createElement("a");
          e_link.setAttribute("tabindex", "0");
          e_link.textContent = p;
          e_link.addEventListener("click", () => import_cockpit.default.location.go(path.slice(1, i + 1)));
          e_nav.append(e_link, " >> ");
        } else {
          const e_span = document.createElement("span");
          e_span.textContent = p;
          e_nav.appendChild(e_span);
        }
      });
    }
    import_cockpit.default.addEventListener("locationchanged", update_nav);
    update_nav();
    document.getElementById("go-down").addEventListener("click", () => {
      const len = import_cockpit.default.location.path.length;
      import_cockpit.default.location.go(import_cockpit.default.location.path.concat(len.toString()), { length: len.toString() });
    });
    const counter = import_cockpit.default.file("/tmp/counter", { syntax: JSON });
    function normalize_counter(obj) {
      obj = obj || {};
      obj.counter = obj.counter || 0;
      return obj;
    }
    function complain(error) {
      document.getElementById("file-error").textContent = error.toString();
    }
    function changed(content, tag, error) {
      if (error)
        return complain(error);
      document.getElementById("file-content").textContent = normalize_counter(content).counter;
      document.getElementById("file-error").textContent = "";
    }
    counter.watch(changed);
    document.getElementById("modify-file").addEventListener("click", () => {
      counter.modify((obj) => {
        obj = normalize_counter(obj);
        obj.counter += 1;
        return obj;
      }).catch(complain);
    });
    function load_file() {
      import_cockpit.default.file("/tmp/counter").read().then((content) => {
        document.getElementById("edit-file").value = content;
      });
    }
    function save_file() {
      import_cockpit.default.file("/tmp/counter").replace(document.getElementById("edit-file").value);
    }
    document.getElementById("load-file").addEventListener("click", load_file);
    document.getElementById("save-file").addEventListener("click", save_file);
    load_file();
    document.getElementById("delete-file").addEventListener("click", () => import_cockpit.default.spawn(["rm", "-f", "/tmp/counter"]));
    document.body.removeAttribute("hidden");
    function show_hidden() {
      document.getElementById("hidden").textContent = import_cockpit.default.hidden ? "hidden" : "visible";
    }
    import_cockpit.default.addEventListener("visibilitychange", show_hidden);
    show_hidden();
  });
})();
//# sourceMappingURL=test.js.map
