(() => {
  var __create = Object.create;
  var __defProp = Object.defineProperty;
  var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
  var __getOwnPropNames = Object.getOwnPropertyNames;
  var __getProtoOf = Object.getPrototypeOf;
  var __hasOwnProp = Object.prototype.hasOwnProperty;
  var __commonJS = (cb, mod) => function __require() {
    return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
  };
  var __copyProps = (to, from, except, desc) => {
    if (from && typeof from === "object" || typeof from === "function") {
      for (let key of __getOwnPropNames(from))
        if (!__hasOwnProp.call(to, key) && key !== except)
          __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
    }
    return to;
  };
  var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
    // If the importer is in node compatibility mode or this is not an ESM
    // file that has been converted to a CommonJS file using a Babel-
    // compatible transform (i.e. "__esModule" has not been set), then set
    // "default" to the CommonJS "module.exports" for node compatibility.
    isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
    mod
  ));

  // external-global:cockpit
  var require_cockpit = __commonJS({
    "external-global:cockpit"(exports, module) {
      module.exports = cockpit;
    }
  });

  // pkg/playground/preloaded.js
  var import_cockpit = __toESM(require_cockpit(), 1);
  function init_1() {
    return import_cockpit.default.spawn(["hostname"]).then((data) => {
      document.getElementById("host").innerText = data.trim();
    });
  }
  function init_2() {
    return import_cockpit.default.file("/etc/os-release").read().then((data) => {
      document.getElementById("release").innerText = data;
    });
  }
  function navigate() {
    document.getElementById("path").innerText = import_cockpit.default.location.path.join("/");
    document.body.removeAttribute("hidden");
  }
  function maybe_phase_2() {
    import_cockpit.default.removeEventListener("visibilitychange", maybe_phase_2);
    if (import_cockpit.default.hidden) {
      import_cockpit.default.addEventListener("visibilitychange", maybe_phase_2);
    } else {
      init_2().then(navigate);
    }
  }
  function init() {
    init_1().then(maybe_phase_2);
  }
  document.addEventListener("DOMContentLoaded", init);
})();
//# sourceMappingURL=preloaded.js.map
